package com.persagy.dmp.rwd.twin.controller;

import cn.hutool.core.collection.CollUtil;
import com.fasterxml.jackson.databind.node.ArrayNode;
import com.fasterxml.jackson.databind.node.ObjectNode;
import com.persagy.dmp.basic.utils.JsonNodeUtils;
import com.persagy.dmp.common.model.response.CommonResult;
import com.persagy.dmp.common.utils.ResultHelper;
import com.persagy.dmp.rwd.twin.entity.ObjectProject;
import com.persagy.dmp.rwd.twin.service.IObjectProjectService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.validation.Valid;
import java.util.List;

/**
 * @author lvxianyun
 * @date 2021/8/9
 */
@RestController
@RequestMapping("/rwd/instance/project")
public class ObjectProjectController {
    
    @Autowired
    IObjectProjectService service;

    @PostMapping("/createOne")
    public CommonResult<ObjectProject> create(@Valid @RequestBody ObjectNode node){
        ObjectProject vo = JsonNodeUtils.toEntity(node, ObjectProject.class, "infos");
        List<ObjectProject> voList = CollUtil.newArrayList(vo);
        service.insert(voList);
        return ResultHelper.single(vo);
    }

    @PostMapping("/create")
    public CommonResult<List<ObjectProject>> createBatch(@Valid @RequestBody ArrayNode array){
        List<ObjectProject> voList = JsonNodeUtils.toEntity(array, ObjectProject.class, "infos");
        voList = service.insert(voList);
        return ResultHelper.multi(voList);
    }

    @PostMapping("/updateOne")
    public CommonResult<ObjectProject> update(@Valid @RequestBody ObjectNode node){
        ObjectProject vo = JsonNodeUtils.toEntity(node, ObjectProject.class, "infos");
        List<ObjectProject> voList = CollUtil.newArrayList(vo);
        service.update(voList);
        return ResultHelper.single(vo);
    }

    @PostMapping("/update")
    public CommonResult<List<ObjectProject>> updateBatch(@Valid @RequestBody ArrayNode array){
        List<ObjectProject> voList = JsonNodeUtils.toEntity(array, ObjectProject.class, "infos");
        voList = service.update(voList);
        return ResultHelper.multi(voList);
    }

    @PostMapping("/deleteOne")
    public CommonResult delete(@RequestBody String id){
        service.delete(CollUtil.newArrayList(id));
        return ResultHelper.success();
    }

    @PostMapping("/delete")
    public CommonResult deleteBatch(@RequestBody List<String> id){
        service.delete(id);
        return ResultHelper.success();
    }
}
