package com.persagy.dmp.rwd.twin.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.handlers.JacksonTypeHandler;
import com.fasterxml.jackson.databind.node.ObjectNode;
import com.persagy.dmp.common.model.entity.AuditableEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 环境
 * @author lvxianyun
 * @date 2021/8/10
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "dt_object_equipment",autoResultMap = true)
public class ObjectEquipment extends AuditableEntity {

    /** 名称 */
    private String name;
    /** 本地编码 */
    private String localId;
    /** 本地名称 */
    private String localName;
    /** BIM模型中编码 */
    private String bimId;
    /** 集团编码 */
    private String groupCode;
    /** 项目ID */
    private String projectId;
    /** 建筑ID */
    private String buildingId;

    /** BIM模型中坐标 */
    private String bimLocation;
    /** 二维码图片 */
    private String qrCode;
    /** 设计图纸中编码 */
    private String cadId;
    /** 部件关联设备的id */
    private String parentId;
    /** 资产id */
    private String propertyId;
    /** 坐标x,y,z */
    @TableField(typeHandler = JacksonTypeHandler.class)
    private ObjectNode location;
    /** 分类名 */
    private String categoryName;
    /** 项目自定义类型 */
    private String customCategory;
    /** 任务状态 */
    private Integer taskState;
    /** 模型id */
    private String modelId;
    /** 贴码状态 */
    private Integer codeType;
    /** 设备序号 */
    private Integer equipSerial;
    /** Revit族 */
    private String familyName;
    /** Revit族类型 */
    private String familySymbol;
    /** 备注 */
    private String note;
    /** BIM构建编码 */
    private String bimTypeId;
    /** 分类 */
    private String classCode;
    /** 客户端id */
    private String appId;
    /** 添加人员 */
    private String findPeople;
    /** RFID标识 */
    private String rfId;
    /** 平台二维码 */
    private String defaultQrCode;
    /** 信息点 */
    @TableField(typeHandler = JacksonTypeHandler.class)
    private ObjectNode infos;
}
