package com.persagy.dmp.rwd.twin.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.handlers.JacksonTypeHandler;
import com.fasterxml.jackson.databind.node.ObjectNode;
import com.persagy.dmp.common.model.entity.AuditableEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 楼层
 * @author lvxianyun
 * @date 2021/8/10
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "dt_object_floor",autoResultMap = true)
public class ObjectFloor extends AuditableEntity {

    /** 名称 */
    private String name;
    /** 本地编码 */
    private String localId;
    /** 本地名称 */
    private String localName;
    /** BIM模型中编码 */
    private String bimId;
    /** 集团编码 */
    private String groupCode;
    /** 项目ID */
    private String projectId;
    /** 建筑ID */
    private String buildingId;
    /** 楼层顺序号 */
    private Integer sequenceId;
    /** 楼层平面图分割标记 */
    private Integer sign;
    /** 模型文件id */
    private String modelId;
    /** 楼层选定区域轮廓线 */
    @TableField(typeHandler = JacksonTypeHandler.class)
    private ObjectNode  outline;
    /** 信息点 */
    @TableField(typeHandler = JacksonTypeHandler.class)
    private ObjectNode infos;
    /** 二维码图片 */
    private String qrCode;
    /** 楼板标高 */
    private Integer floorElevation;
    /** BIMID前缀 */
    private String bimIdPre;
    /** 自定义信息点 */
    @TableField(typeHandler = JacksonTypeHandler.class)
    private ObjectNode properties;
    /** 坐标 */
    private String bimLocation;
    /** 人数 */
    private Integer permanentPeopleNum;

}
