package com.persagy.dmp.rwd.twin.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.handlers.JacksonTypeHandler;
import com.fasterxml.jackson.databind.node.ObjectNode;
import com.persagy.dmp.common.model.entity.AuditableEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 竖井
 * @author lvxianyun
 * @date 2021/8/10
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "dt_object_shaft",autoResultMap = true)
public class ObjectShaft extends AuditableEntity {

    /** 名称 */
    private String name;
    /** 本地编码 */
    private String localId;
    /** 本地名称 */
    private String localName;
    /** BIM本地名称 */
    private String bimLocation;
    /** BIM模型中编码 */
    private String bimId;
    /** 集团编码 */
    private String groupCode;
    /** 项目ID */
    private String projectId;
    /** 信息点 */
    @TableField(typeHandler = JacksonTypeHandler.class)
    private ObjectNode infos;
}
