package com.persagy.dmp.rwd.twin.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.handlers.JacksonTypeHandler;
import com.fasterxml.jackson.databind.node.ObjectNode;
import com.persagy.dmp.common.model.entity.AuditableEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 空间
 * @author lvxianyun
 * @date 2021/8/10
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "dt_object_space",autoResultMap = true)
public class ObjectSpace extends AuditableEntity {

    /** 名称 */
    private String name;
    /** 本地编码 */
    private String localId;
    /** 本地名称 */
    private String localName;
    /** BIM模型中编码 */
    private String bimId;
    /** 集团编码 */
    private String groupCode;
    /** 项目ID */
    private String projectId;
    /** 建筑ID */
    private String buildingId;
    /** 楼层ID */
    private String floorId;

    /** 楼层选定区域轮廓线 */
    @TableField(typeHandler = JacksonTypeHandler.class)
    private ObjectNode outline;
    /** 轮廓线2 */
    @TableField(typeHandler = JacksonTypeHandler.class)
    private ObjectNode outline2;
    /** 图片 */
    @TableField(typeHandler = JacksonTypeHandler.class)
    private ObjectNode pic;

    /** 项目空间功能区类型 */
    private String projRoomFuncType;
    /** 空间序号 */
    private Float roomSerial;
    /** 平台二维码 */
    private String defaultQrCode;
    /** BIM模型中坐标 */
    private String bimLocation;
    /** 井深 */
    private Float depth;
    /** 面宽 */
    private Float width;
    /** 建筑面积 */
    private Float buildArea;
    /** 使用面积 */
    private Float netArea;
    /** 高 */
    private Float height;
    /** 备注文字 */
    private String intro;
    /** 配电容量 */
    private Float elecCap;
    /** 污染等级 */
    private String pollutionDegree;
    /** 空间功能区类型 */
    private String funcType;
    /** 租户信息 */
    @TableField(typeHandler = JacksonTypeHandler.class)
    private ObjectNode tenantInfo;
    /** 动态信息 */
    @TableField(typeHandler = JacksonTypeHandler.class)
    private ObjectNode dynamicInfor;
    /** 空间朝向 */
    private String zoneOrientation;
    /** 设计供冷功率 */
    private Float ratedCoolingp;
    /** 设计供热功率 */
    private Float ratedHeatingp;
    /** 空调形式 */
    private String acType;
    /** 设计照明功率 */
    private Float ratedLightp;
    /** 内外区分类 */
    private String zoneType;
    /** 空间是否受影响 */
    private String state;
    /** 租赁业态类型 */
    private Integer tenantType;
    /** 所属租户 */
    private String tenant;
    /** 空间二维码 */
    private String qrCodePic;
    /** 空间常驻人数 */
    private Integer permanentPeopleNum;
    /** 信息点 */
    @TableField(typeHandler = JacksonTypeHandler.class)
    private ObjectNode infos;
}
