package com.persagy.dmp.rwd.twin.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.handlers.JacksonTypeHandler;
import com.fasterxml.jackson.databind.node.ObjectNode;
import com.persagy.dmp.common.model.entity.AuditableEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 租户
 * @author lvxianyun
 * @date 2021/8/10
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "dt_object_tenant",autoResultMap = true)
public class ObjectTenant extends AuditableEntity {

    /** 名称 */
    private String name;
    /** 本地编码 */
    private String localId;
    /** 本地名称 */
    private String localName;
    /** 本地编码2 */
    private String localId2;
    /** 本地名称2 */
    private String localName2;
    /** 项目ID */
    private String projectId;
    /** 集团编码 */
    private String groupCode;

    /** 租赁信息 */
    @TableField(typeHandler = JacksonTypeHandler.class)
    private ObjectNode leaseInfo;
    /** 能耗信息 */
    @TableField(typeHandler = JacksonTypeHandler.class)
    private ObjectNode consumptionInfo;
    /** 动态信息 */
    @TableField(typeHandler = JacksonTypeHandler.class)
    private ObjectNode dynamicInfor;
    /** 自定义信息点 */
    @TableField(typeHandler = JacksonTypeHandler.class)
    private ObjectNode customParam;
    /** 信息点 */
    @TableField(typeHandler = JacksonTypeHandler.class)
    private ObjectNode infos;
}
