package com.persagy.dmp.rwd.twin.handler;

import cn.hutool.core.collection.CollUtil;
import com.persagy.dmp.rwd.digital.entity.ObjectDigital;
import com.persagy.dmp.rwd.twin.entity.ObjectBuilding;
import com.persagy.dmp.rwd.twin.service.IObjectBuildingService;

/**
 * @author lvxianyun
 * @date 2021/8/13
 */
public class ObjectBuildingProcessor implements IObjectProcessor{

    private IObjectBuildingService objectBuildingServic = (IObjectBuildingService) ApplicationContextUtil.getBean("objectBuildingServic");

    /** 幂等校验*/
    private boolean idempotentCheck(ObjectBuilding ObjectBuilding) {
        ObjectBuilding objOld = objectBuildingServic.load(ObjectBuilding.getId());
        if(objOld == null){
            return true;
        }else{
            return false;
        }
    }

    @Override
    public void dealData(ObjectDigital objectDigital) {
        ObjectBuilding ObjectBuilding = getObjectBuilding(objectDigital);
        //幂等验证
        if(idempotentCheck(ObjectBuilding)){
            objectBuildingServic.insert(CollUtil.newArrayList(ObjectBuilding));
        }else{
            objectBuildingServic.update(CollUtil.newArrayList(ObjectBuilding));
        }
    }

    private static ObjectBuilding getObjectBuilding(ObjectDigital objectDigital){
        ObjectBuilding building = new ObjectBuilding();
        building.setId(objectDigital.getId());
        building.setProjectId(objectDigital.getProjectId());
        building.setLocalId(objectDigital.getLocalId());
        building.setLocalName(objectDigital.getLocalName());
        building.setGroupCode(objectDigital.getGroupCode());
        building.setName(objectDigital.getName());
        building.setInfos(objectDigital.getInfos());
        return building;
    }
}
