package com.persagy.dmp.rwd.twin.handler;

import cn.hutool.core.collection.CollUtil;
import com.persagy.dmp.rwd.digital.entity.ObjectDigital;
import com.persagy.dmp.rwd.twin.entity.ObjectEquipment;
import com.persagy.dmp.rwd.twin.service.IObjectEquipmentService;

/**
 * @author lvxianyun
 * @date 2021/8/13
 */
public class ObjectEquipmentProcessor implements IObjectProcessor{

    private IObjectEquipmentService objectEquipmentServic = (IObjectEquipmentService) ApplicationContextUtil.getBean("objectEquipmentServic");

    /** 幂等校验*/
    private boolean idempotentCheck(ObjectEquipment ObjectEquipment) {
        ObjectEquipment objOld = objectEquipmentServic.load(ObjectEquipment.getId());
        if(objOld == null){
            return true;
        }else{
            return false;
        }
    }

    @Override
    public void dealData(ObjectDigital objectDigital) {
        ObjectEquipment ObjectEquipment = getObjectEquipment(objectDigital);
        //幂等验证
        if(idempotentCheck(ObjectEquipment)){
            objectEquipmentServic.insert(CollUtil.newArrayList(ObjectEquipment));
        }else{
            objectEquipmentServic.update(CollUtil.newArrayList(ObjectEquipment));
        }
    }

    private static ObjectEquipment getObjectEquipment(ObjectDigital objectDigital){
        ObjectEquipment equipment = new ObjectEquipment();
        equipment.setId(objectDigital.getId());
        equipment.setProjectId(objectDigital.getProjectId());
        equipment.setLocalId(objectDigital.getLocalId());
        equipment.setLocalName(objectDigital.getLocalName());
        equipment.setGroupCode(objectDigital.getGroupCode());
        equipment.setName(objectDigital.getName());
        equipment.setInfos(objectDigital.getInfos());
        return equipment;
    }
}

