package com.persagy.dmp.rwd.twin.handler;

import cn.hutool.core.collection.CollUtil;
import com.persagy.dmp.rwd.digital.entity.ObjectDigital;
import com.persagy.dmp.rwd.twin.entity.ObjectFloor;
import com.persagy.dmp.rwd.twin.service.IObjectFloorService;

/**
 * @author lvxianyun
 * @date 2021/8/13
 */
public class ObjectFloorProcessor  implements IObjectProcessor{

    private IObjectFloorService objectFloorServic = (IObjectFloorService) ApplicationContextUtil.getBean("objectFloorServic");

    /** 幂等校验*/
    private boolean idempotentCheck(ObjectFloor ObjectFloor) {
        ObjectFloor objOld = objectFloorServic.load(ObjectFloor.getId());
        if(objOld == null){
            return true;
        }else{
            return false;
        }
    }

    @Override
    public void dealData(ObjectDigital objectDigital) {
        ObjectFloor ObjectFloor = getObjectFloor(objectDigital);
        //幂等验证
        if(idempotentCheck(ObjectFloor)){
            objectFloorServic.insert(CollUtil.newArrayList(ObjectFloor));
        }else{
            objectFloorServic.update(CollUtil.newArrayList(ObjectFloor));
        }
    }

    private static ObjectFloor getObjectFloor(ObjectDigital objectDigital){
        ObjectFloor floor = new ObjectFloor();
        floor.setId(objectDigital.getId());
        floor.setProjectId(objectDigital.getProjectId());
        floor.setLocalId(objectDigital.getLocalId());
        floor.setLocalName(objectDigital.getLocalName());
        floor.setGroupCode(objectDigital.getGroupCode());
        floor.setName(objectDigital.getName());
        floor.setInfos(objectDigital.getInfos());
        return floor;
    }
}
