package com.persagy.dmp.rwd.twin.handler;

import cn.hutool.core.collection.CollUtil;
import com.persagy.dmp.rwd.digital.entity.ObjectDigital;
import com.persagy.dmp.rwd.twin.entity.ObjectProject;
import com.persagy.dmp.rwd.twin.service.IObjectProjectService;

/**
 * @author lvxianyun
 * @date 2021/8/11
 */
public class ObjectProjectProcessor implements IObjectProcessor {

    private IObjectProjectService objectProjectService = (IObjectProjectService) ApplicationContextUtil.getBean("objectProjectServic");

    /** 幂等校验*/
    private boolean idempotentCheck(ObjectProject objectProject) {
        ObjectProject objOld = objectProjectService.load(objectProject.getId());
        if(objOld == null){
            return true;
        }else{
            return false;
        }
    }

    @Override
    public void dealData(ObjectDigital objectDigital) {
        ObjectProject objectProject = getObjectProject(objectDigital);
        //幂等验证
        if(idempotentCheck(objectProject)){
            objectProjectService.insert(CollUtil.newArrayList(objectProject));
        }else{
            objectProjectService.update(CollUtil.newArrayList(objectProject));
        }
    }

    private static ObjectProject getObjectProject(ObjectDigital objectDigital){
        ObjectProject objectProject = new ObjectProject();
        objectProject.setId(objectDigital.getProjectId());
        objectProject.setLocalId(objectDigital.getLocalId());
        objectProject.setLocalName(objectDigital.getLocalName());
        objectProject.setGroupCode(objectDigital.getGroupCode());
        objectProject.setName(objectDigital.getName());
        objectProject.setInfos(objectDigital.getInfos());
        return objectProject;
    }
}
