package com.persagy.dmp.rwd.twin.handler;

import cn.hutool.core.collection.CollUtil;
import com.persagy.dmp.rwd.digital.entity.ObjectDigital;
import com.persagy.dmp.rwd.twin.entity.ObjectShaft;
import com.persagy.dmp.rwd.twin.service.IObjectShaftService;

/**
 * @author lvxianyun
 * @date 2021/8/13
 */
public class ObjectShaftProcessor implements IObjectProcessor{

    private IObjectShaftService objectShaftServic = (IObjectShaftService) ApplicationContextUtil.getBean("objectShaftServic");

    /** 幂等校验*/
    private boolean idempotentCheck(ObjectShaft ObjectShaft) {
        ObjectShaft objOld = objectShaftServic.load(ObjectShaft.getId());
        if(objOld == null){
            return true;
        }else{
            return false;
        }
    }

    @Override
    public void dealData(ObjectDigital objectDigital) {
        ObjectShaft ObjectShaft = getObjectShaft(objectDigital);
        //幂等验证
        if(idempotentCheck(ObjectShaft)){
            objectShaftServic.insert(CollUtil.newArrayList(ObjectShaft));
        }else{
            objectShaftServic.update(CollUtil.newArrayList(ObjectShaft));
        }
    }

    private static ObjectShaft getObjectShaft(ObjectDigital objectDigital){
        ObjectShaft shaft = new ObjectShaft();
        shaft.setId(objectDigital.getId());
        shaft.setProjectId(objectDigital.getProjectId());
        shaft.setLocalId(objectDigital.getLocalId());
        shaft.setLocalName(objectDigital.getLocalName());
        shaft.setGroupCode(objectDigital.getGroupCode());
        shaft.setName(objectDigital.getName());
        shaft.setInfos(objectDigital.getInfos());
        return shaft;
    }
}
