package com.persagy.dmp.rwd.twin.handler;

import cn.hutool.core.collection.CollUtil;
import com.persagy.dmp.rwd.digital.entity.ObjectDigital;
import com.persagy.dmp.rwd.twin.entity.ObjectSpace;
import com.persagy.dmp.rwd.twin.service.IObjectSpaceService;

/**
 * @author lvxianyun
 * @date 2021/8/13
 */
public class ObjectSpaceProcessor implements IObjectProcessor{

    private IObjectSpaceService objectSpaceServic = (IObjectSpaceService) ApplicationContextUtil.getBean("objectSpaceServic");

    /** 幂等校验*/
    private boolean idempotentCheck(ObjectSpace ObjectSpace) {
        ObjectSpace objOld = objectSpaceServic.load(ObjectSpace.getId());
        if(objOld == null){
            return true;
        }else{
            return false;
        }
    }

    @Override
    public void dealData(ObjectDigital objectDigital) {
        ObjectSpace ObjectSpace = getObjectSpace(objectDigital);
        //幂等验证
        if(idempotentCheck(ObjectSpace)){
            objectSpaceServic.insert(CollUtil.newArrayList(ObjectSpace));
        }else{
            objectSpaceServic.update(CollUtil.newArrayList(ObjectSpace));
        }
    }

    private static ObjectSpace getObjectSpace(ObjectDigital objectDigital){
        ObjectSpace space = new ObjectSpace();
        space.setId(objectDigital.getId());
        space.setProjectId(objectDigital.getProjectId());
        space.setLocalId(objectDigital.getLocalId());
        space.setLocalName(objectDigital.getLocalName());
        space.setGroupCode(objectDigital.getGroupCode());
        space.setName(objectDigital.getName());
        space.setInfos(objectDigital.getInfos());
        return space;
    }
}
