package com.persagy.dmp.rwd.twin.handler;

import cn.hutool.core.collection.CollUtil;
import com.persagy.dmp.rwd.digital.entity.ObjectDigital;
import com.persagy.dmp.rwd.twin.entity.ObjectSystem;
import com.persagy.dmp.rwd.twin.service.IObjectSystemService;

/**
 * @author lvxianyun
 * @date 2021/8/13
 */
public class ObjectSystemProcessor implements IObjectProcessor{

    private IObjectSystemService objectSystemServic = (IObjectSystemService) ApplicationContextUtil.getBean("objectSystemServic");

    /** 幂等校验*/
    private boolean idempotentCheck(ObjectSystem ObjectSystem) {
        ObjectSystem objOld = objectSystemServic.load(ObjectSystem.getId());
        if(objOld == null){
            return true;
        }else{
            return false;
        }
    }

    @Override
    public void dealData(ObjectDigital objectDigital) {
        ObjectSystem ObjectSystem = getObjectSystem(objectDigital);
        //幂等验证
        if(idempotentCheck(ObjectSystem)){
            objectSystemServic.insert(CollUtil.newArrayList(ObjectSystem));
        }else{
            objectSystemServic.update(CollUtil.newArrayList(ObjectSystem));
        }
    }

    private static ObjectSystem getObjectSystem(ObjectDigital objectDigital){
        ObjectSystem system = new ObjectSystem();
        system.setId(objectDigital.getId());
        system.setProjectId(objectDigital.getProjectId());
        system.setLocalId(objectDigital.getLocalId());
        system.setLocalName(objectDigital.getLocalName());
        system.setGroupCode(objectDigital.getGroupCode());
        system.setName(objectDigital.getName());
        system.setInfos(objectDigital.getInfos());
        return system;
    }
}
