package com.persagy.dmp.rwd.twin.handler;

import cn.hutool.core.collection.CollUtil;
import com.persagy.dmp.rwd.digital.entity.ObjectDigital;
import com.persagy.dmp.rwd.twin.entity.ObjectTenant;
import com.persagy.dmp.rwd.twin.service.IObjectTenantService;

/**
 * @author lvxianyun
 * @date 2021/8/13
 */
public class ObjectTenantProcessor implements IObjectProcessor{

    private IObjectTenantService objectTenantServic = (IObjectTenantService) ApplicationContextUtil.getBean("objectTenantServic");

    /** 幂等校验*/
    private boolean idempotentCheck(ObjectTenant ObjectTenant) {
        ObjectTenant objOld = objectTenantServic.load(ObjectTenant.getId());
        if(objOld == null){
            return true;
        }else{
            return false;
        }
    }

    @Override
    public void dealData(ObjectDigital objectDigital) {
        ObjectTenant ObjectTenant = getObjectTenant(objectDigital);
        //幂等验证
        if(idempotentCheck(ObjectTenant)){
            objectTenantServic.insert(CollUtil.newArrayList(ObjectTenant));
        }else{
            objectTenantServic.update(CollUtil.newArrayList(ObjectTenant));
        }
    }

    private static ObjectTenant getObjectTenant(ObjectDigital objectDigital){
        ObjectTenant tenant = new ObjectTenant();
        tenant.setId(objectDigital.getId());
        tenant.setProjectId(objectDigital.getProjectId());
        tenant.setLocalId(objectDigital.getLocalId());
        tenant.setLocalName(objectDigital.getLocalName());
        tenant.setGroupCode(objectDigital.getGroupCode());
        tenant.setName(objectDigital.getName());
        tenant.setInfos(objectDigital.getInfos());
        return tenant;
    }
}
