package com.persagy.dmp.rwd.twin.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.persagy.dmp.rwd.twin.entity.ObjectBuilding;

import java.util.List;

/**
 * 建筑 接口
 * @author lvxianyun
 * @date 2021/8/13
 */
public interface IObjectBuildingService {
    /**
     * 查询
     * @param id 主键
     * @return
     */
    ObjectBuilding load(String id);

    /**
     * 按条件查询
     * @param queryWrapper 查询条件
     * @return 列表
     */
    List<ObjectBuilding> queryByCondition(Wrapper<ObjectBuilding> queryWrapper);

    /**
     * 按条件查询
     * @param page 分页条件
     * @param queryWrapper 查询条件
     * @return 分页结果
     */
    Page queryByCondition(Page page, Wrapper<ObjectBuilding> queryWrapper);

    /**
     * 新增
     * @param voList 待新增数据
     * @return 新增后数据
     */
    List<ObjectBuilding> insert(List<ObjectBuilding> voList);

    /**
     * 修改
     * @param voList 待修改数据
     * @return 修改后数据
     */
    List<ObjectBuilding> update(List<ObjectBuilding> voList);

    /**
     * 删除
     * @param idList 主键
     */
    void delete(List<String> idList);
}
