package com.persagy.dmp.rwd.twin.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.persagy.dmp.rwd.twin.entity.ObjectProject;

import java.util.List;

/**
 * 项目 接口
 * @author lvxianyun
 * @date 2021/8/9
 */
public interface IObjectProjectService {
    /**
     * 通过ID、集团编码 查询
     * @param id 主键
     * @return
     */
    ObjectProject load(String id);

    /**
     * 按条件查询
     * @param queryWrapper 查询条件
     * @return 列表
     */
    List<ObjectProject> queryByCondition(Wrapper<ObjectProject> queryWrapper);

    /**
     * 按条件查询
     * @param page 分页条件
     * @param queryWrapper 查询条件
     * @return 分页结果
     */
    Page queryByCondition(Page page, Wrapper<ObjectProject> queryWrapper);

    /**
     * 新增
     * @param voList 待新增数据
     * @return 新增后数据
     */
    List<ObjectProject> insert(List<ObjectProject> voList);

    /**
     * 修改
     * @param voList 待修改数据
     * @return 修改后数据
     */
    List<ObjectProject> update(List<ObjectProject> voList);

    /**
     * 删除
     * @param idList 主键
     */
    void delete(List<String> idList);
}
