package com.persagy.dmp.rwd.twin.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.persagy.dmp.rwd.twin.entity.ObjectSpace;

import java.util.List;

/**
 * 空间 接口
 * @author lvxianyun
 * @date 2021/8/9
 */
public interface IObjectSpaceService {
    /**
     * 查询
     * @param id 主键
     * @return
     */
    ObjectSpace load(String id);

    /**
     * 按条件查询
     * @param queryWrapper 查询条件
     * @return 列表
     */
    List<ObjectSpace> queryByCondition(Wrapper<ObjectSpace> queryWrapper);

    /**
     * 按条件查询
     * @param page 分页条件
     * @param queryWrapper 查询条件
     * @return 分页结果
     */
    Page queryByCondition(Page page, Wrapper<ObjectSpace> queryWrapper);

    /**
     * 新增
     * @param voList 待新增数据
     * @return 新增后数据
     */
    List<ObjectSpace> insert(List<ObjectSpace> voList);

    /**
     * 修改
     * @param voList 待修改数据
     * @return 修改后数据
     */
    List<ObjectSpace> update(List<ObjectSpace> voList);

    /**
     * 删除
     * @param idList 主键
     */
    void delete(List<String> idList);
}
